## org.biojava.bio.seq.projection
Interface ProjectionEngine.TemplateProjector

Enclosing class:
  ProjectionEngine

    public static interface ProjectionEngine.TemplateProjector

This is an interface for things that project feature templates.

Note: This is implementation guts that has to be public to bind contexts to features. It is not intended for users.

Since:
  1.4
Author:
  Matthew Pocock

Method Summary
`Feature.Template` `revertTemplate(ProjectionContext ctxt, Feature.Template projTempl)`

Method Detail

### revertTemplate

    Feature.Template revertTemplate(ProjectionContext ctxt,
                                    Feature.Template projTempl)
                                    throws CloneNotSupportedException

  Throws:
    `CloneNotSupportedException`